<?php
include ("connect.php");
session_start();
// creating a connection
$connect = mysqli_connect($host, $username, $password, $dbname);
// to ensure that the connection is made
if ($connect)
{
    // youpie!
}
else
{
    // pour le dev
    die("Error" . mysqli_connect_error());
    // post un message d erreur vers register.php genre pb de connection avec la BDD
    header('Location: register.php');
}

// getting all values from the HTML form
if (isset($_POST['identifiant'], $_POST['password']))
{
    $user = $_POST['identifiant'];
    $pass = $_POST['password'];
    $sql = "SELECT * FROM CLIENT WHERE identifiant='$user' AND password='$pass'";

    // fait ta requete a la BDD
    $rs = mysqli_query($connect, $sql);

    if($rs) // check avec var_dump($rs) pour voir ce qu'il te renvoie quand il trouve l'utilisateur
    {
        // envoie un message de login successful
        header('Location: home.php');
    }
    else
    {
        // revoie un message login faux ou utilisateur inconnu
    }

}
else
{
    // renvoie un message d'erreur identifiants non renseignés
    header('Location: register.php');
}

// close connection
mysqli_close($connect);

?>
